SD_BUS_MESSAGE_COPY(3)

NAME
sd_bus_message_copy - Copy the contents of one message to another

SYNOPSIS

#include <systemd/sd-bus.h>

int sd_bus_message_copy(sd_bus_message *m, sd_bus_message *source, int all);

DESCRIPTION

sd_bus_message_copy() copies the contents from message source to m. If all is false, a single complete type is copied (basic or container). If all is true, the contents are copied until the end of the currently open container or the end of source.

RETURN VALUE

On success, this call returns true if anything was copied, and false if there was nothing to copy. On failure, it returns a negative errno-style error code.

ERRORS

Returned errors may indicate the following problems:

-EINVAL
    source or m are NULL.

-EPERM
    Message m has been sealed or source has not been sealed.

-ESTALE
    Destination message is in invalid state.

-ENXIO
    Destination message cannot be appended to.

-ENOMEM
    Memory allocation failed.

NOTES

These APIs are implemented as a shared library, which can be compiled and linked to with the libsystemd pkg-config(1) file.

SEE ALSO

systemd(1), sd-bus(3), sd_bus_message_append(3)